% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/diagnostics.R
\name{plotfittedgauge.3d}
\alias{plotfittedgauge.3d}
\title{Plot unit level set of fitted parametric gauge function}
\usage{
plotfittedgauge.3d(
  grid = 50,
  gfun,
  par,
  add = FALSE,
  add.gauge = FALSE,
  gauge1,
  gauge2,
  par1ind,
  par2ind,
  xlab = "x",
  ylab = "y",
  zlab = "z",
  col = 4,
  alphaval = 0.5
)
}
\arguments{
\item{grid}{length of grid used to plot gauge function - higher values give better resolution plots, but take longer}

\item{gfun}{gauge function}

\item{par}{parameters of the gauge function specified by gfun}

\item{add}{logical - should the plot be added to an existing plot?}

\item{add.gauge}{logical. If TRUE, then we additively mix (with numerical rescaling) the gauge functions specified by gauge1 and gauge2}

\item{gauge1}{first gauge function for additive mixing. Use if add.gauge=TRUE}

\item{gauge2}{second gauge function for additive mixing. Use if add.gauge=TRUE}

\item{par1ind}{vector of indices specifying the position of the parameters for gauge1 in par}

\item{par2ind}{vector of indices specifying the position of the parameters for gauge2 in par}

\item{xlab}{Graphical parameter - label of x axis}

\item{ylab}{Graphical parameter - label of y axis}

\item{zlab}{Graphical parameter - label of z axis}

\item{col}{Graphical parameter - colour of surface}

\item{alphaval}{- Graphical parameter - transparency of surface}
}
\description{
Plot unit level set of fitted parametric gauge function
}
\author{
Jenny Wadsworth
}
