% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ryan_4d_functions.R
\name{ppdiag.4d}
\alias{ppdiag.4d}
\title{PP diagnostic for fitted truncated gamma model}
\usage{
ppdiag.4d(
  r,
  w,
  r0w,
  par,
  gfun,
  add.gauge = FALSE,
  gauge1,
  gauge2,
  par1ind,
  par2ind
)
}
\arguments{
\item{r}{Values of R|W that exceed the threshold r0w}

\item{w}{Values of W that correspond to the threshold exceedances of R}

\item{r0w}{The threshold function r_0(w) for each value of W supplied}

\item{par}{The vector of fitted parameters (in the same order as obtained from fit.geometricMVE.2d)}

\item{gfun}{gauge function to be used in the likelihood. Can use inbuilt examples or specify own function of the form gauge<-function(xy,par){}. Leave blank if want to mix gauges additively.}

\item{add.gauge}{logical. If TRUE, then we additively mix (with numerical rescaling) the gauge functions specified by gauge1 and gauge2}

\item{gauge1}{first gauge function for additive mixing. Use if add.gauge=TRUE}

\item{gauge2}{second gauge function for additive mixing. Use if add.gauge=TRUE}
}
\value{
PP plot with 95\% tolerance intervals
}
\description{
PP diagnostic for fitted truncated gamma model
}
\author{
Jenny Wadsworth and Ryan Campbell
}
