% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/diagnostics.R
\name{qqdiag.2d}
\alias{qqdiag.2d}
\title{QQ diagnostic for fitted truncated gamma model - puts PP plot on any desired quantile scale (default is standard exponential)}
\usage{
qqdiag.2d(
  r,
  w,
  r0w,
  par,
  gfun = c(gauge_rvad, gauge_gaussian, gauge_invlogistic, gauge_square),
  add.gauge = FALSE,
  gauge1 = c(gauge_rvad, gauge_gaussian, gauge_invlogistic, gauge_square),
  gauge2 = c(gauge_rvad, gauge_gaussian, gauge_invlogistic, gauge_square),
  quantilefn = qexp
)
}
\arguments{
\item{r}{Values of R|W that exceed the threshold r0w}

\item{w}{Values of W that correspond to the threshold exceedances of R}

\item{r0w}{The threshold function r_0(w) for each value of W supplied}

\item{par}{The vector of fitted parameters (in the same order as obtained from fit.geometricMVE.2d)}

\item{gfun}{gauge function to be used in the likelihood. Can use inbuilt examples or specify own function of the form gauge<-function(xy,par){}. Leave blank if want to mix gauges additively.}

\item{add.gauge}{logical. If TRUE, then we additively mix (with numerical rescaling) the gauge functions specified by gauge1 and gauge2}

\item{gauge1}{first gauge function for additive mixing. Use if add.gauge=TRUE}

\item{gauge2}{second gauge function for additive mixing. Use if add.gauge=TRUE}

\item{quantilefn}{a quantile function to specify the desired scale. Defaults to qexp.}
}
\value{
QQ plot with 95\% tolerance intervals
}
\description{
QQ diagnostic for fitted truncated gamma model - puts PP plot on any desired quantile scale (default is standard exponential)
}
\author{
Jenny Wadsworth
}
